Bug 1872303 - Topology view delays indication of update when changing projects
Summary: Topology view delays indication of update when changing projects
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 12:49 UTC by Jeff Phillips
Modified: 2020-09-07 10:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-08-23-214712 Cluster ID: dd41ee04-7080-4273-b88f-a5c3cff58d56 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.135 Safari/537.36
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6430 None closed Bug 1872303: Fix delay in topology view on changing namespace 2020-09-07 10:15:52 UTC

Description Jeff Phillips 2020-08-25 12:49:09 UTC
Description of problem:

Switching between projects using Projects drop down has some performance issue. It lags and takes some time to load the deployments from the other project. 


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. Navigate to the developer perspective, topology
2. Switch projects

Actual results:

There is a delay before the new project's resources are shown with no loading indicator.

Expected results:

There is an indication that the new project's resources are being loaded then the new resources are shown.


Additional info:

Comment 3 Gajanan More 2020-09-07 10:16:19 UTC
I have validated the bugzilla on:
Build: 4.6.0-0.nightly-2020-09-05-015624
Browser: Google Chrome Version 84.0.4147.89
Marking this as verifed.


Note You need to log in before you can comment on or make changes to this bug.